PHP MySQL 5.0.37 problemi librerie verso il server MySQL5.0.45

Ciao Gianni, sono ancora a rompere.

Scusami ma ho preferito aprire un nuovo Topic.

Dopo aver istallato, con successo, Apache 2.2.4; PHP 5.2.3 e MySQL 5.2.45

ho installato, senza problemi, phpMyAdmin2.11.0.

Alla verifica di phpMyAdmin mi comparivano 3 Alert , due dei quali leggendo i vari topic ho rimosso con successo.

Ora ho l'ultimo che mi informa che:

Your PHP MySQL library version 5.0.37 differs from your MySQL server version 5.0.45. This may cause unpredictable behavior

Credo di aver capito (non conosco linglese) che tra il server (MySQL 5.0.45) e il client

(PHP MySQL 5.0.37)  non viene usato la stessa libreria e che ciò può provocare imprevedibile comportamenti.

Conosci una soluzione?

Ancora grazie.

Antonio

inviato 9 anni fa
antosi47
X 0 X

non mi è mai capitato questo errore e non so dirti come risolverlo o cosa possa comportare, comunque per adesso non mi preoccuperei più di tanto.

 :bye:

risposto 9 anni fa
Gianni Tomasicchio
X 0 X

Ok.

Grazie per la risposta.

Ciao.

Antonio

risposto 9 anni fa
antosi47
X 0 X

Ciao Gianni.

Ho una notizia che potrebbe essere utile a tutti.

Ho risolto il problema

Mi spiego, io ora ho istallato:

Apache 2.2.4 (Win 32)

PHP 5.2.3

MySQL 5.0.37

phpMyAdmil 2.11.0-all-languages

e tutto mi funziona al meglio, senza indicazioni di alcun errore

La soluzione l'ho trovata nel NON USARE l'ultima versione di MySql (MySQL 5.0.45)

ma nell'impiegare una versione precedente, precisamente MySQL 5.0.37 ( un po difficile da reperire.)

Il tutto perché, sembrerebbe, che la libreria del PHP5.2.3 (l'ultima versione di PHP) per caricare MySQL

sia stata fatta con la libreria versione 5.0.37.

Augurandomi di essere utile a qualcuno con questo post, ringrazio.

Antonio

risposto 9 anni fa
antosi47
X 0 X

grazie  :bye:

risposto 9 anni fa
Gianni Tomasicchio
X 0 X

E se uno ha versioni più datate del mysql?Che so una 4?

risposto 9 anni fa
Marco Grazia
X 0 X

grazie antosi47, ho anch'io lo stesso problema e ho chiesto aiuto poco fa aggiungendo una risposta al mio topic  :'( sorry Gianni, per il momento procedo così, se sorgono problemi scrivo a questo topic

 :bye:

risposto 9 anni fa
guido
X 0 X

ciao a tutti e buona settimana,

sul PCtest, anche a me il messaggio delle librerie diverse non compare più perché sia MySQL community-nt e sia MySQL client sono della stessa versione, la 5.0.27.

su questo PC ho installato l'ultima versione di PHP (5.2.4) e poi PhpMyAdmin 2.11.0

 :bye:

risposto 9 anni fa
guido
X 0 X
Effettua l'accesso o registrati per rispondere a questa domanda